El repositorio Graphics de la comunidad openSUSE (aplicaciones gráficas y de fotografía): Cómo instalarlo y cómo gestionarlo.


El repositorio Graphics de la comunidad openSUSE suministra paquetes rpm de librerías y aplicaciones gráficas y de fotografía, que, o bien no están disponibles en el repositorio oficial, o que se encuentran en una versión más actual.

Entre los paquetes que no están en el repositorio oficial se encuentran algunos plugins de Gimp (gimp-plugin-resynthesizer, gmic-gimp, gimp-separate+ …), o RawTherapee , y, también, otras muchas aplicaciones que por el momento desconozco (OpenColorIO) –pero esto es sólo porque soy un tanto ignorante-.

Entre los que se suelen encontrar versiones más actuales está Darktable, Hugin, GraphicsMagick, o Inkscape. Por ejemplo, a fecha de hoy la versión de Darktable en el repositorio oficial es la 1.6.8, y en Graphics es la 2.0.5 que incorpora mejoras sustanciales. Este es un caso de esos en los que nos puede interesar instalar o actualizar la aplicación desde Graphics. En otros casos la diferencia en cuanto a la versión es tan pequeña, o los cambios que experimenta la aplicación son tan poco significativos, que no tiene ningún interés actualizar; es preferible, en mi opinión, la estabilidad que garantiza el repositorio oficial.

Si no tienes claro el tema de los repositorios en openSUSE o tienes alguna duda al respecto quizás te interese consultar ... SEGUIR LEYENDO … ►

1. Añadir el repositorio Graphics con YaST

Vamos a YaST>Software>Repositorios de software

Picamos en “Añadir”, después marcamos “Especificar URL ..” y “Siguiente”. Los cajetines, ya sabes, los cumplimentamos de la siguiente manera:

Nombre de repositorio: Graphics

URL: http://download.opensuse.org/repositories/graphics/openSUSE_Leap_42.1/

Si se trata de otra versión distinta de openSUSE sólo hay que sustituir en URL la denominación que corresponda, por ejemplo:

URL: http://download.opensuse.org/repositories/graphics/openSUSE_Leap_42.2/

O por ejemplo:

URL: http://download.opensuse.org/repositories/graphics/openSUSE_13.2/

En cualquier caso, ahora aparecerá el repositorio en la ventana principal y marcado como “Habilitado” y “Actualizar automáticamente”. Lo recomendable es que una vez que hayamos consultado los paquetes o instalado/actualizado desmarquemos “Habilitado” para que el repositorio no este disponible (ver apartado 3). En “Prioridad” mostrará el valor 99. Este valor de prioridad es el mismo que el de los repositorios oficiales, y esto significa que si un paquete se encuentra en más de un repositorio que tienen la misma prioridad se usará (tanto para la instalación como para la actualización) aquel que tenga la versión mayor o más actual.

2. Consultar paquetes y, en su caso, instalar o actualizar paquetes

Vamos a YaST>Sostware>Instalar/desinstalar paquetes

Picamos en “Ver” y seleccionamos “Repositorios”

Picamos en el repositorio “Graphics”. Se nos muestra el listado de paquetes disponibles en este repositorio, incluidos los ya instalados desde otro proveedor (como el repositorio oficial).

Al situarnos sobre uno –Gimp, por ejemplo- en la parte inferior se muestra una “Descripción” e información sobre el en las distintas pestañas. En la pestaña “Versiones” Nos muestra la versión instalada así como otras versiones disponibles en otros repositorios de nuestras fuentes de software.

Si queremos actualizar un paquete que instalamos desde el repositorio oficial a la versión disponible en Graphic, sólo tenemos que marcar esta y seguidamente “Aceptar”.

Si queremos instalar una aplicación por primera vez y está sólo en Graphic o marcamos en “Versiones” o instalamos al modo usual (botón derecho e instalar), y si esta está disponible desde varios proveedores marcamos la deseada y “Aceptar”.



3. Algunas precauciones si añadimos el repositorio a nuestras fuentes de software

En términos generales -con este u otro repositorio de la comunidad salvo Packman- no es nada recomendable actualizar todos los paquetes en nuestro sistema que estén también contenidos en Graphics (no ejecutar en terminal zypper dup --from Graphics), o actualizar el sistema (zypper update) con Graphics “Habilitado”, ya que en algún momento se pueden presentar problemas de incompatibilidades entre dependencias requeridas por distintas aplicaciones y que se genere un “lío tremendo”. Recuerden que openSUSE sólo garantiza la estabilidad del sistema con los repositorios oficiales.

Lo suyo es habilitar y deshabilitar el repositorio mediante YaST. Habilitaremos para consultar los paquetes que contiene el repositorio, o antes de instalar paquetes no disponibles en el oficial, o antes de actualizar unos paquetes concretos. Y una vez terminada la operación deshabilitaremos el repositorio.

Para gestionar los paquetes también puede ser más práctico y seguro hacerlo gráficamente mediante YaST; es más difícil que” metamos la pata”, ya que podemos visualizar la información relacionada.

Si al instalar o actualizar un paquete, nos surge un mensaje de error en el que se proponen varias alternativas y no tenemos nada claro que hacer, lo adecuado es abortar la instalación/actualización, estudiar el problema (podemos guardar la ventana del mensaje con Spectacle u otra aplicación similar) y con calma proceder en consecuencia. Desde luego nunca seleccionar la opción donde se indica “ROMPER …”.

4. Agradecimientos y felicitaciones

Finalmente, agradecer a los responsables y colaboradores del repositorio Graphics por su dedicación al servicio de los usuarios, y felicitarlos por su excelente trabajo.

Saludos flamencos,


Comentarios

  1. Todo el mundo alaba el potencial de YAST pero pocos lo explican tan detalladamente.
    Excelente tutorial.

    ResponderEliminar
  2. Benjamin, muchas gracias por compartir esta información, es muy útil para mi.

    Un saludo :D

    ResponderEliminar
    Respuestas
    1. Me alegro amigo Cristian que te sea útil.

      Saludos flamencos,

      Eliminar

Publicar un comentario